<?php
namespace Javo\Api\Reports;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class Plugins extends Base {
	private $plugins;
	private function get_plugins() {
		if ( ! $this->plugins ) {
			$this->plugins = Plugin::$instance->wp->get_active_plugins()->all();
		}

		return $this->plugins;
	}
	public function get_title() {
		return 'Active Plugins';
	}
	public function is_enabled() {
		return ! ! $this->get_plugins();
	}
	public function get_fields() {
		return [
			'active_plugins' => 'Active Plugins',
		];
	}
	public function get_active_plugins() {
		return [
			'value' => $this->get_plugins(),
		];
	}
}
