<h1><?php esc_html_e( 'Import', "playo"); ?></h1>
<h2><?php esc_html_e( 'Import pre-desinged ( demo ) content. Please follow the steps.', "playo"); ?></h2>

<div class="jvbpd-wizard-import import-step1">
	<h3><?php esc_html_e( 'Step 1. Import demo data.', "playo"); ?></h3>
	<p class="demo-description">
		<?php esc_html_e( 'There can be a few missing import files. Please kindly ignore them ( warning messages ).', "playo"); ?>
	</p>

	<p class="demo-description">
		<?php esc_html_e( 'After completing the demo import, please move to the step 2.', "playo"); ?>
	</p>
	<p>
		<a class="button button-primary button-hero" href="<?php echo admin_url('themes.php?page=pt-one-click-demo-import'); ?>" target="_blank">
			<?php esc_html_e( '[Popup] Move to Import Page', "playo"); ?>
		</a>
	</p>
</div>

<hr class="generator-separator">

<div class="jvbpd-wizard-import import-step2">
	<h3><?php esc_html_e( 'Step 2 : Set a Home page.', "playo"); ?></h3>
	<p class="demo-description"><?php esc_html_e("Please set a home page as you wish.", ''); ?>
		<div><?php esc_html_e( '1. Select "A static page"', "playo"); ?></div>
		<div><?php esc_html_e( '2. Choose a home page.', "playo"); ?></div>
	</p>
	<p>
		<a class="button button-primary button-hero" href="<?php echo admin_url('options-reading.php'); ?>" target="_blank">
			<?php esc_html_e( '[Popup] Move to set a home page', "playo"); ?>
		</a>
	</p>

</div>

<?php if(function_exists('lava_directory')) { ?>
	<hr class="generator-separator">

	<div class="jvbpd-wizard-import import-step3">
		<h3><?php esc_html_e( 'Step3. Listing JSON Generator', "playo"); ?></h3>
		<p class="important"><?php esc_html_e("After completing the demo import, you have to press the Json Generator button to make the Listings work properly in the Map page.", ''); ?></p>
		<p>
			<button type="button" class="button button-primary button-hero lava-data-refresh-trigger" data-loading="<?php _e( "Processing", "playo"); ?>...">
				<?php _e("JSON Generator", "playo");?>
			</button>
			<div id="lava-setting-page-progressbar-wrap">
				<div class="progressbar"></div>
				<div class="text"></div>
			</div>
		</p>
		<?php
		lava_directory()->enqueue->register_scripts();
		lava_directory()->admin->settingPageBefore(); ?>
	</div>
<?php } ?>

<p class="jvbpd-wizard-actions step">
	<a href="<?php echo esc_url( $helper->get_next_step_link() ); ?>" class="button button-primary button-next button-large button-next"><?php esc_html_e( 'Next', "playo"); ?></a>
</p>
