<h1><?php esc_html_e( 'Check your server status', "playo"); ?></h1>
<h2><?php esc_html_e( 'Check if your server is ready to use our theme and import data.', "playo"); ?></h2>

<?php
$boolAllPassed = null;
$arrCheckLists = Array(
	'php_ver' => Array(
		'label' => esc_html__( "PHP Version", "playo"),
		'desc' => esc_html__( "7.3.x", "playo"),
		'value' => phpversion(),
		'state' => version_compare( '7.3.0', phpversion(), '<=' ),
	),
	'post_max' => Array(
		'label' => esc_html__( "Post Max Size", "playo"),
		'desc' => esc_html__( "128M", "playo"),
		'value' => ini_get( 'post_max_size' ),
		'state' =>
			intVal( apply_filters( 'jvbpd_memory_unit_conversion', '128M' ) ) <=
			intVal( apply_filters( 'jvbpd_memory_unit_conversion', ini_get( 'post_max_size' ) ) ),
	),
	'limit_memory' => Array(
		'label' => esc_html__( "WP MEMORY LIMIT", "playo"),
		'desc' => esc_html__( "128M", "playo"),
		'value' => WP_MEMORY_LIMIT,
		'state' =>
			intVal( apply_filters( 'jvbpd_memory_unit_conversion', '128M' ) ) <=
			intVal( apply_filters( 'jvbpd_memory_unit_conversion', WP_MEMORY_LIMIT ) ),
	),
	'limit_wp_memory' => Array(
		'label' => esc_html__( "MEMORY LIMIT", "playo"),
		'desc' => esc_html__( "128M", "playo"),
		'value' => ini_get('memory_limit'),
		'state' =>
			intVal( apply_filters( 'jvbpd_memory_unit_conversion', '128M' ) ) <=
			intVal( apply_filters( 'jvbpd_memory_unit_conversion', ini_get('memory_limit') ) ),
	),
	'wp_debug' => Array(
		'label' => esc_html__( "WP DEBUG", "playo"),
		'desc' => esc_html__( "Off", "playo"),
		'value' => ( WP_DEBUG ? esc_html__( "On", "playo") : esc_html__( "Off", "playo") ),
		'state' => defined( 'WP_DEBUG' ) && ! WP_DEBUG,
	),
); ?>

<table class="jvbpd-status-table" width="100%">
	<thead>
		<tr>
			<th></th>
			<th><?php esc_html_e( "Recommended", "playo"); ?></th>
			<th><?php esc_html_e( "Your Server", "playo"); ?></th>
			<th><?php esc_html_e( "Status", "playo"); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php
		if( !empty( $arrCheckLists ) ) {
			foreach( $arrCheckLists as $strKey => $arrMeta ) {
				$boolAllPassed = $boolAllPassed === null ? $arrMeta['state'] : $boolAllPassed && $arrMeta['state'];
				?>
				<tr class="chk-result <?php echo esc_attr( $arrMeta[ 'state' ] ? 'passed' : 'failed' ); ?>">
					<th class="text-left"><?php echo esc_html( $arrMeta[ 'label' ] ); ?></th>
					<td><span><?php echo esc_html( $arrMeta[ 'desc' ] ); ?></span></td>
					<td><?php echo esc_html($arrMeta[ 'value' ] ); ?></td>
					<td><span class="dashicons <?php echo esc_attr( $arrMeta[ 'state' ] ? 'dashicons-yes' : 'dashicons-no' ); ?>"></span></td>
				</tr>
				<?php
			}
		} ?>
	</tbody>
</table>

<?php if(!$boolAllPassed) { ?>
	<div class="chk-warning <?php echo esc_attr( $boolAllPassed ? 'passed' : 'failed blinking' ); ?>">
		<?php esc_html_e("Your sever status might not be enought. Please check your server status and the solution.", "playo"); ?>
	</div>
<?php } ?>

<p class="jvbpd-wizard-actions step <?php echo esc_attr( $boolAllPassed ? 'passed' : 'failed' ); ?>">
	<a href="<?php echo esc_url( $helper->get_next_step_link() ); ?>" class="button button-warning button-next button-large"><?php esc_html_e( 'Ignore & Next', "playo"); ?></a>
	<a href="<?php echo esc_url( $helper->get_next_step_link() ); ?>" class="button button-primary button-next button-large"><?php esc_html_e( 'Next', "playo"); ?></a>
</p>
