<?php
$jvbpd_options = Array(
	'header_type' => apply_filters( 'jvbpd_options_header_types', Array() ),
	'header_skin' => Array(
		esc_html__("Light", "playo") => "",
		esc_html__("Dark", "playo") => "dark"
	),
	'able_disable' => Array(
		esc_html__("Disable", "playo") => "disabled",
		esc_html__("Able", "playo") => "enable"
	),
	'sticky_able_disable' => Array(
		esc_html__("Able", "playo") => "enable",
		esc_html__("Disable", "playo") => "disabled"
	),
	'header_fullwidth' => Array(
		esc_html__("Center Left", "playo") => "fixed",
		esc_html__("Center Right", "playo") => "fixed-right",
		esc_html__("Wide", "playo") => "full"
	),
	'header_relation' => Array(
		esc_html__("Transparency menu", "playo")	=> "absolute",
		esc_html__("Default menu", "playo") => "relative"
	),
	'default_header_relation' => Array(
		esc_html__("Default menu", "playo")	=> "relative",
		esc_html__("Transparency menu", "playo")	=> "absolute"
	),
); ?>

<div class="jvbpd_ts_tab javo-opts-group-tab hidden" tar="header">
	<h2><?php esc_html_e("Heading Settings", "playo"); ?> </h2>
	<table class="form-table">

	<?php if(defined('ELEMENTOR_VERSION')) { ?>

		<tr><th>
			<?php esc_html_e( "Select a header", "playo");?>
			<span class="description"></span>
		</th><td>

		<?php
		if( function_exists( 'jvbpdCore' ) ) :
			foreach( Array(
				'elementor_header' => Array(
					'label' => esc_html__( "Default(Global) Header", "playo"),
					'description' => sprintf(
						__(
						'To create more headers, Core >> page builder ( <a href="%1$s" target="_blank">Go page builder</a> )<br>
						If you do not select, the recent header ( you created ) will be displayed.', "playo"),
						esc_url( add_query_arg( Array( 'post_type' => 'jvbpd-listing-elmt', ), admin_url( 'edit.php' ) ) )
					),
				),
				'elementor_header_search_page' => Array(
					'label' => esc_html__( "Wordpress search result page", "playo"),
					'description' => esc_html__( 'If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
				),
				'elementor_header_post' => Array(
					'label' => esc_html__( "Single post detail pages", "playo"),
					'description' => esc_html__( 'If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
				),
				'elementor_header_post_archive' => Array(
					'label' => esc_html__("Post archive pages", "playo"),
					'description' => esc_html__('If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
				),
				'elementor_header_lv_listing' => Array(
					'label' => esc_html__( "Single listing detail pages", "playo"),
					'description' => esc_html__( 'If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
					'condition' => jvbpdCore()->isActivatedPlugins('directory_manager'),
				),
				'elementor_header_lv_listing_archive' => Array(
					'label' => esc_html__( "Listing archive pages", "playo"),
					'description' => esc_html__( 'If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
					'condition' => jvbpdCore()->isActivatedPlugins('directory_manager'),
				),
				'elementor_header_jv_portfolio' => Array(
					'label' => esc_html__( "Portfoilo detail pages", "playo"),
					'description' => esc_html__( 'If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
				),
				'elementor_header_tribe_events' => Array(
					'label' => esc_html__( "Single events detail pages(Tribe Event Calendar)", "playo"),
					'description' => esc_html__( 'If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
					'condition' => class_exists( '\Tribe__Events__Main' ),
				),
				'elementor_header_mec-events' => Array(
					'label' => esc_html__( "Single events detail pages(Modern Events Calendar)", "playo"),
					'description' => esc_html__( 'If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
					'condition' => defined( 'MECEXEC' ),
				),
				'elementor_header_profile' => Array(
					'label' => esc_html__( "My Dashboard Page", "playo"),
					'description' => esc_html__( 'If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
					'condition' => function_exists( 'bp_is_active' ),
				),
				'elementor_header_member' => Array(
					'label' => esc_html__( "Member Page", "playo"),
					'description' => esc_html__( 'If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
					'condition' => function_exists( 'bp_is_active' ),
				),
				'elementor_header_group' => Array(
					'label' => esc_html__( "Group Page", "playo"),
					'description' => esc_html__( 'If you do not select "Header", "Default(Global) Header" will be displayed.', "playo"),
					'condition' => function_exists( 'bp_is_active' ) && bp_is_active( 'groups'),
				),


			) as $elementor_header_key => $elementor_header_meta ) {
				if( isset( $elementor_header_meta['condition'] ) ){
					if( false === $elementor_header_meta['condition'] ) {
						continue;
					}
				} ?>
				<h4><?php echo esc_html( $elementor_header_meta[ 'label' ] ); ?></h4>
				<fieldset class="inner">
					<select name="jvbpd_ts[<?php echo esc_attr($elementor_header_key); ?>]">
						<option value=''><?php esc_html_e( "Select a header", "playo"); ?></option>
						<?php
						foreach( jvbpdCore()->admin->getElementorHeaderID() as $template_id  ) {
							if( false === get_post_status( $template_id ) ) {
								continue;
							}
							printf(
								'<option value="%1$s"%3$s>%2$s</option>', $template_id, get_the_title( $template_id ),
								selected( $template_id == jvbpd_tso()->get( $elementor_header_key, '' ), true, false )
							);
						} ?>
					</select>
					<?php
					if( isset( $elementor_header_meta[ 'description' ] ) ) { ?>
						<div>
							<span class="description"><?php echo esc_html($elementor_header_meta[ 'description' ]); ?></span>
						</div>
						<?php
					} ?>
				</fieldset>
				<?php
			}
		endif; ?>

		</td></tr>

	<?php } ?>

	<tr><th>
		<?php esc_html_e( "Select a sidebars", "playo");?>
		<span class="description"></span>
	</th><td>
	<?php
	foreach(
		Array(
			'sidebar_left' => Array(
				'label' => esc_html__( "Left Sidebar", "playo"),
				'note' => esc_html__( "It shows when there is at least one menu. otherwise, it doesn't show.", "playo"),
			),
		) as $strOptionName => $strOptionMeta
	) {
		?>
		<h4 class="pull-left"><?php echo esc_html( $strOptionMeta[ 'label' ] ); ?></h4>
		<fieldset class="inner margin-20-0 <?php if($strOptionMeta[ 'label' ]=='Member Sidebar') echo 'margin-custom-28-0'; ?>">
			<select name="jvbpd_ts[<?php echo esc_attr( $strOptionName ); ?>]">
				<?php
				foreach(
					Array(
						'disabled' => esc_html__( "Disable (Default)", "playo"),
						'enabled' => esc_html__( "Enable", "playo"),
					) as $strOption => $strOptionLabel
				) {
					printf(
						'<option value="%1$s"%3$s>%2$s</option>',
						$strOption, $strOptionLabel,
						selected( $strOption == jvbpd_tso()->get( $strOptionName, apply_filters( 'jvbpd_theme_option_' . $strOption . '_default', 'disabled' ) ), true, false )
					);
				} ?>
			</select>
			<?php printf( '<div class="description">%1$s : %2$s</div>', esc_html__( "Note", "playo"), $strOptionMeta[ 'note' ] ); ?>
		</fieldset>
		<?php
	} ?>
	</td></tr>
	</table>
</div>
