<?php
/**
 * Template part for displaying blog content in home.php
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 *
 */
use Javo\Core\Tags;
?>
 <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="row">
        <?php if( has_post_thumbnail() && !is_single() ) : ?>
            <div class="col-lg-6">
                <section class="single-post-thumbnail text-center">
                    <a href="<?php the_permalink(); ?>" class="d-block">
                        <?php the_post_thumbnail( 'full', Array( 'class' => 'img-responsive' ) ); ?>
                        <div class="image-overlay"></div>
                        <?php
                        $categories = get_the_category();
                        if(isset($categories[0])) { ?>
                            <div class="blog-thumbnail-category"><?php echo esc_html($categories[0]->name); ?></div>
                        <?php } ?>
                    </a>
                </section><!-- .entry-header -->
            </div>
        <?php endif; ?>
        <div class="col align-self-center">
            <div class="entry-meta">
                <?php Tags::posted_on(Array(
                    'posted_prefix' => esc_html_x('Date %s', 'post date', "playo"),
                )); ?>
            </div>
            <header class="entry-header">
                <a href="<?php the_permalink(); ?>" class="d-inline-block">
                    <?php the_title( '<h3 class="entry-title">', '</h3>' ); ?>
                </a>
            </header><!-- .entry-header -->
            <div class="entry-content">
                <?php
                    the_excerpt();
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', "playo"),
                        'after' => '</div>',
                    ) );
                ?>
                <div class="entry-permalink">
                    <a href="<?php the_permalink(); ?>"><?php esc_html_e("Read More", "playo"); ?></a>
                </div>
            </div><!-- .entry-content -->
        </div>
    </div>
</article><!-- #post-## -->
